#version 430 core
/*
Parts of this were taken from 
http://www.sunandblackcat.com/tipFullView.php?l=eng&topicid=15&topic=Cel-Shading
*/

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;

uniform mat4 modelMatrix;
uniform mat4 viewProjMatrix;

uniform float u_offset1; // offset along normal

void main(void){


   vec4 tPos = vec4(position + normal * u_offset1, 1.0);
   gl_Position	=   viewProjMatrix *modelMatrix * tPos;
}