#version 430

layout(location = 0) in vec4 Position;

layout(location = 0) uniform mat4 ModelViewMatrix;

out vData
{
	float TTL;
} vertex;

void main()
{
	gl_Position = ModelViewMatrix * vec4(Position.xyz, 1.0f);
	vertex.TTL = Position.w;
}